Package com.smartgwt.client.browser.window

# Class OpenFinWindow

java.lang.Object
com.smartgwt.client.core.BaseClass
com.smartgwt.client.browser.window.RemoteWindow
com.smartgwt.client.browser.window.OpenFinWindow

All Implemented Interfaces:
  `HasHandlers`, `HasOtherWindowsChangedHandlers`

public class OpenFinWindow extends RemoteWindow
Note: this is currently an experimental feature and not covered by normal support guarantees. See `Experimental Features` for more information.
Provides a Smart GWT wrapper around an OpenFin window.

See Also:
  - `Experimental Features`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.BaseClass

  `config, configOnly, factoryCreated, factoryProperties, id, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OpenFinWindow()`
  `OpenFinWindow(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `JavaScriptObject`
  `create()`
  `static OpenFinWindow`
  `getOrCreateRef(JavaScriptObject jsObj)`

  ### Methods inherited from class com.smartgwt.client.browser.window.RemoteWindow

  `activate, activate, addOtherWindowsChangedHandler, blur, blur, bringToFront, bringToFront, bringToFront, close, close, close, deactivate, deactivate, focus, focus, getBrowserHeight, getBrowserWidth, getContainerWindow, getInfo, getJsObj, getName, getOrCreateJsObj, getPageHeight, getPageWidth, getParent, getWindow, hasCreationContextWindow, hide, hide, hide, isCreated, isShowing, maximize, maximize, maximize, minimize, minimize, minimize, move, move, resize, resize, restore, restore, restore, setJavaScriptObject, show, show, show`

  ### Methods inherited from class com.smartgwt.client.core.BaseClass

  `addDynamicProperty, addDynamicProperty, addDynamicProperty, addDynamicProperty, applyFactoryProperties, asSGWTComponent, clearDynamicProperty, createJsObj, destroy, doAddHandler, doInit, error, error, errorIfNotCreated, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsString, getAttributeAsStringArray, getClassName, getConfig, getHandlerCount, getID, getRef, getRuleScope, getScClassName, getTestInstance, hasAutoAssignedID, hasDynamicProperty, internalSetID, internalSetID, isConfigOnly, isFactoryCreated, onBind, onInit, registerID, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAutoID, setConfig, setConfigOnly, setFactoryCreated, setID, setProperty, setProperty, setProperty, setProperty, setRuleScope, setScClassName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

  `fireEvent`

- ## Constructor Details

  - ### OpenFinWindow

    public OpenFinWindow()

  - ### OpenFinWindow

    public OpenFinWindow(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static OpenFinWindow getOrCreateRef(JavaScriptObject jsObj)

  - ### create

    public JavaScriptObject create()
    Overrides:
      `create` in class `RemoteWindow`